[arch-commits] CVS update of arch/build/editors/gvim (PKGBUILD fetch_patches.sh)

Tobias Kieslich tobias at archlinux.org
Wed Aug 1 15:43:04 EDT 2007


    Date: Wednesday, August 1, 2007 @ 15:43:04
  Author: tobias
    Path: /home/cvs-arch/arch/build/editors/gvim

Modified: PKGBUILD (1.40 -> 1.41) fetch_patches.sh (1.3 -> 1.4)

bring the new vi/vim/gvim layout to testing


------------------+
 PKGBUILD         |   14 +++++++-------
 fetch_patches.sh |    6 ++++++
 2 files changed, 13 insertions(+), 7 deletions(-)


Index: arch/build/editors/gvim/PKGBUILD
diff -u arch/build/editors/gvim/PKGBUILD:1.40 arch/build/editors/gvim/PKGBUILD:1.41
--- arch/build/editors/gvim/PKGBUILD:1.40	Mon Jul  9 20:26:30 2007
+++ arch/build/editors/gvim/PKGBUILD	Wed Aug  1 15:43:04 2007
@@ -1,16 +1,16 @@
-# $Id: PKGBUILD,v 1.40 2007/07/10 00:26:30 tobias Exp $
+# $Id: PKGBUILD,v 1.41 2007/08/01 19:43:04 tobias Exp $
 # Maintainer: tobias [ tobias at archlinux org ]
 
 pkgname=gvim
 _srcver=7.1
-_patchlevel=22
+_patchlevel=47
 pkgver=${_srcver}.${_patchlevel}
 pkgrel=1
 pkgdesc="the vim text editor with advanced features enabled, such as a gui mode"
 arch=(i686 x86_64)
 license=('vim')
 url="http://www.vim.org"
-depends=("vim>=${pkgver}" 'gtk2' 'desktop-file-utils')
+depends=('vi>=${pkgver}' 'perl' 'python' 'ruby' 'acl' 'libxt' 'gtk2' 'desktop-file-utils')
 makedepends=('pkgconfig')
 backup=(etc/gvimrc)
 conflicts=('gvim-devel')
@@ -24,14 +24,14 @@
          '605cc7ae31bcc9d7864bb0bb6025f55d'
          '144aa049ba70621acf4247f0459f3ee7'
          '2be104c0372dd6dae19cb7968c03cd4f'
-         'fba5e33a451066494c7203d13cf0be3d')
+         'fd7aa27ca214a86eccefb414c2e0d172')
 
 build()
 {
   # patch party
   # pull in patches from vim.org (or the src cache alternatively)
   . ${startdir}/fetch_patches.sh
-  get_patches
+  get_patches || return 1
   cd ${startdir}/src/vim$(echo ${_srcver} | sed "s/\.//")
    # define the place for the global (g)vimrc file (set to /etc/vimrc)
   sed -i 's|^.*\(#define SYS_.*VIMRC_FILE.*"\) .*$|\1|' src/feature.h
@@ -52,7 +52,7 @@
   done
   cd ${startdir}/pkg/usr/bin
   rm -f gvimtutor xxd
-  ln -s gvim egvim
+  ln -s gvim evim
   ln -s gvim egview
   ln -s gvim gview
   ln -s gvim gvimdiff
@@ -63,7 +63,7 @@
   find ${startdir}/pkg/usr/man -type d -name 'man1' 2> /dev/null | while read mandir; do
     cd ${mandir}
     rm -f *.1
-    ln -s vi.1.gz egvim.1.gz
+    ln -s evi.1.gz evim.1.gz
     ln -s vi.1.gz egview.1.gz
     ln -s vi.1.gz gview.1.gz
     ln -s vi.1.gz gvim.1.gz
Index: arch/build/editors/gvim/fetch_patches.sh
diff -u arch/build/editors/gvim/fetch_patches.sh:1.3 arch/build/editors/gvim/fetch_patches.sh:1.4
--- arch/build/editors/gvim/fetch_patches.sh:1.3	Mon Jul  9 20:26:30 2007
+++ arch/build/editors/gvim/fetch_patches.sh	Wed Aug  1 15:43:04 2007
@@ -17,7 +17,9 @@
   echo -e "\tfetching checksumfile for patches"
   wget ${_rpath}/MD5SUMS >/dev/null 2>&1
 
+  downloads=0
   for _line in $(/bin/cat MD5SUMS); do
+    downloads=$((${downloads} + 1))
     _md5=$(echo $_line | cut -d ' ' -f1)
     _file=$(echo $_line | cut -d ' ' -f3)
     if [ -f ${SRCDEST}/vim-${_srcver}/${_file} ]; then
@@ -41,6 +43,10 @@
       return 1
     fi
   done
+  if [ ${downloads} != ${_patchlevel} ]; then
+    echo -e "Number of patches does not match the patchlevel!\nEdit the PKGBUILD accordingly!"
+    return 1
+  fi
   IFS=$_OLDIFS
   rm MD5SUMS
   cd ${startdir}/src/vim$(echo ${_srcver} | sed "s/\.//")




More information about the arch-commits mailing list